Bug 1272644 - [abrt] NetworkManager: nm_device_uses_assumed_connection(): NetworkManager killed by SIGSEGV
[abrt] NetworkManager: nm_device_uses_assumed_connection(): NetworkManager ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:28dfb67aa9a0c5f864c7a3e247d...
:
: 1272692 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 03:19 EDT by Peter H. Jones
Modified: 2016-07-19 14:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.69 KB, text/plain)
2015-10-17 03:19 EDT, Peter H. Jones
no flags Details
File: build_ids (2.44 KB, text/plain)
2015-10-17 03:19 EDT, Peter H. Jones
no flags Details
File: cgroup (208 bytes, text/plain)
2015-10-17 03:19 EDT, Peter H. Jones
no flags Details
File: core_backtrace (9.66 KB, text/plain)
2015-10-17 03:19 EDT, Peter H. Jones
no flags Details
File: dso_list (5.67 KB, text/plain)
2015-10-17 03:19 EDT, Peter H. Jones
no flags Details
File: environ (72 bytes, text/plain)
2015-10-17 03:19 EDT, Peter H. Jones
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-17 03:20 EDT, Peter H. Jones
no flags Details
File: maps (28.03 KB, text/plain)
2015-10-17 03:20 EDT, Peter H. Jones
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-10-17 03:20 EDT, Peter H. Jones
no flags Details
File: open_fds (2.70 KB, text/plain)
2015-10-17 03:20 EDT, Peter H. Jones
no flags Details
File: proc_pid_status (976 bytes, text/plain)
2015-10-17 03:20 EDT, Peter H. Jones
no flags Details
File: var_log_messages (16.35 KB, text/plain)
2015-10-17 03:20 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2015-10-17 03:19:48 EDT
Description of problem:


Version-Release number of selected component:
NetworkManager-1.0.6-6.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_device_uses_assumed_connection
executable:     /usr/sbin/NetworkManager
global_pid:     895
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 nm_device_uses_assumed_connection at devices/nm-device.c:969
 #1 _set_state_full at devices/nm-device.c:8614
 #2 nm_device_state_changed at devices/nm-device.c:8692
 #3 link_timeout_cb at nm-device-wifi.c:2019
Comment 1 Peter H. Jones 2015-10-17 03:19:53 EDT
Created attachment 1083871 [details]
File: backtrace
Comment 2 Peter H. Jones 2015-10-17 03:19:54 EDT
Created attachment 1083872 [details]
File: build_ids
Comment 3 Peter H. Jones 2015-10-17 03:19:55 EDT
Created attachment 1083873 [details]
File: cgroup
Comment 4 Peter H. Jones 2015-10-17 03:19:56 EDT
Created attachment 1083874 [details]
File: core_backtrace
Comment 5 Peter H. Jones 2015-10-17 03:19:58 EDT
Created attachment 1083875 [details]
File: dso_list
Comment 6 Peter H. Jones 2015-10-17 03:19:59 EDT
Created attachment 1083876 [details]
File: environ
Comment 7 Peter H. Jones 2015-10-17 03:20:00 EDT
Created attachment 1083877 [details]
File: limits
Comment 8 Peter H. Jones 2015-10-17 03:20:02 EDT
Created attachment 1083878 [details]
File: maps
Comment 9 Peter H. Jones 2015-10-17 03:20:03 EDT
Created attachment 1083879 [details]
File: mountinfo
Comment 10 Peter H. Jones 2015-10-17 03:20:04 EDT
Created attachment 1083880 [details]
File: open_fds
Comment 11 Peter H. Jones 2015-10-17 03:20:06 EDT
Created attachment 1083881 [details]
File: proc_pid_status
Comment 12 Peter H. Jones 2015-10-17 03:20:07 EDT
Created attachment 1083882 [details]
File: var_log_messages
Comment 13 Jirka Klimes 2015-10-19 08:54:27 EDT
*** Bug 1272692 has been marked as a duplicate of this bug. ***
Comment 14 Jonathan Graham 2015-10-21 02:04:15 EDT
Another user experienced a similar problem:

The wireless connection dropped out, and this problem occurred while I was waiting for it to reconnect automatically.  I have had this happen on several occasions now since updating my system to the current version.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_device_uses_assumed_connection
executable:     /usr/sbin/NetworkManager
global_pid:     1015
kernel:         4.2.3-200.fc22.x86_64
package:        NetworkManager-1.0.6-6.fc22
reason:         NetworkManager killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 15 Jirka Klimes 2015-10-23 08:30:06 EDT
Oct 12 13:43:15 localhost.localdomain NetworkManager[895]: <warn>  (wlan0): error getting associated BSSID: No such device

This line is in old WEXT wifi code. What Wi-Fi card/driver do you use?
$ lspci
$ nmcli -f GENERAL dev show <wifi interface name>
Comment 16 Peter H. Jones 2015-10-23 09:53:06 EDT
Don't know if comment 15 is addressed to me or not. Anyway, here's my output:
"nmcli -f GENERAL dev show wlp24s0
GENERAL.DEVICE:                         wlp24s0
GENERAL.TYPE:                           wifi
GENERAL.NM-TYPE:                        NMDeviceWifi
GENERAL.VENDOR:                         Intel Corporation
GENERAL.PRODUCT:                        Ultimate N WiFi Link 5300
GENERAL.DRIVER:                         iwlwifi
GENERAL.DRIVER-VERSION:                 4.2.3-200.fc22.x86_64
GENERAL.FIRMWARE-VERSION:               8.83.5.1 build 33692
GENERAL.HWADDR:                         00:21:6A:6A:C9:EA
GENERAL.MTU:                            1500
GENERAL.STATE:                          20 (unavailable)
GENERAL.REASON:                         2 (Device is now managed)
GENERAL.UDI:                            /sys/devices/pci0000:00/0000:00:1c.2/0000:18:00.0/net/wlp24s0
GENERAL.IP-IFACE:                       
GENERAL.IS-SOFTWARE:                    no
GENERAL.NM-MANAGED:                     yes
GENERAL.AUTOCONNECT:                    yes
GENERAL.FIRMWARE-MISSING:               no
GENERAL.PHYS-PORT-ID:                   --
GENERAL.CONNECTION:                     --
GENERAL.CON-UUID:                       --
GENERAL.CON-PATH:                       --
GENERAL.METERED:                        unknown
"
Comment 17 Pant 2015-11-05 12:33:21 EST
Another user experienced a similar problem:

1. I reconnected my usb wifi adapter
2. I couldn't see any wifi AP.
3. I reconnected my usb wifi adapter and fixed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: nm_device_uses_assumed_connection
executable:     /usr/sbin/NetworkManager
global_pid:     5455
kernel:         4.2.3-300.fc23.x86_64
package:        NetworkManager-1.0.6-6.fc23
reason:         NetworkManager killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 18 Fedora End Of Life 2016-07-19 14:15:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.